#!/usr/bin/env python
# -*- coding: utf-8 -*-

import pywikibot
from pywikibot import proofreadpage

site = pywikibot.Site('ta','wikisource')
page = pywikibot.Page(site, u"Page:குறிஞ்சி_மலர்.pdf/102")
text = page.text

print (text)


pa = proofreadpage.ProofreadPage(page)

pa.text = pa.text.replace('level="1"','level="3"')
pa.save(summary="test")
<noinclude><pagequality level="1" user="" /><div class="pagetext">


</noinclude># 00 குறிஞ்சிமலர் பதினெட்டு ரூபாய் வாடகை. பூரணிக்காகத் தன் கையிலிருந்து வீட்டுக்கு முன் பணம் கொடுத்தாள் கமலா. பத்து இருபது குடிகளுக்கு நடுவே மாட்டிக் கொள்ளாமல் சிறிதாக இருந்தாலும், தனி இடமாகக் கிடைத்ததே என்று பூரணி மன நிறைவு பெற்றாள். இடம் கமலாவின் வீட்டுக்கு அருகிலும் இருந்தது. அவர்கள் இருவரும் குளித்து விட்டு ஈரப் புடவையோடு திரும்பினார்கள். கமலாவின் வீட்டு வாசல் திண்ணையில் ஒதுவார்க்கிழவர் காத்துக் கொண்டிருந்தார். அவருக்குப் பக்கத்தில் உட்கார்ந்திருந்த அரவிந்தனைக் கண்டதும் பூரணி தலைகுனிந்து கொண்டே ஒதுங்கி நடந்து உள்ளே சென்றாள்.
"பூரணி இவர் உன்னைப் பார்க்க வேண்டுமென்று அங்கே வீட்டுக்குத் தேடிக்கொண்டு வந்தார். நீயும் குழந்தைகளும் இங்கே வந்திருப்பதாக காமு சொன்னாள். அதுதான் இவரை இங்கே அழைத்துக் கொண்டு வந்தேன் அம்மா!' -
“கொஞ்சம் இருக்கச் சொல்லுங்கள் தாத்தா இதோ வந்து விடுகிறேன்' என்று கூறிவிட்டு விரைந்து உள்ளே மறைந்தாள் பூரணி.
'நேற்று வந்தபோது அந்த வீட்டு வாசல் திண்ணையில் என்னுடைய நோட்டுப் புத்தகம் ஒன்றை மறந்துபோய் வைத்துச் சென்று விட்டேன். அதை வாங்கிக் கொண்டு போகலாமென்று தான்..." என்று அரவிந்தன் எழுந்து நின்று கொண்டு சொன்னதும், உள்ளே போகிற வேகத்தில் அவளுக்குக் கேட்டது. இரவில் கண்ட கனவை நினைத்துக் கொண்டாள். உடைமாற்றிக் கொண்டு அந்த நோட்டுப்புத்தகத்தோடு அவள் வெளியே வந்தாள்.
அவள் வெளியே வந்த போது, ஒதுவார்க் கிழவர் கோயிலுக் குப் போயிருந்தார். அவருக்குக் கோவிலில் தேவாரம் பாடுவதற் குப் போகவேண்டிய நேரம். தனியாக உட்காந்திருந்த அரவிந்தன் நோட்டுப் புத்தகமும் கையுமாக அவளைப் பார்த்ததும் வாங்கிக் கொள்வதற்காகக் கை நீட்டிக் கொண்டு எழுந்திருந்தான். பூரணி அதை அவன் கையில் கொடுத்து விட்டு, 'உட்காருங்கள். எனக்கு உங்களிடம் கொஞ்சம் பேச வேண்டும். உங்களுக்கு அவசரம் ஒன்றுமில்லையே?’ என்று கேட்டாள்.<noinclude></div></noinclude>

NoUsernameTraceback (most recent call last)
/srv/paws/lib/python3.4/site-packages/pywikibot/page.py in _save(self, summary, watch, minor, botflag, async, callback, cc, quiet, **kwargs)
   1177             done = self.site.editpage(self, summary=summary, minor=minor,
-> 1178                                       watch=watch, bot=botflag, **kwargs)
   1179             if not done:

/srv/paws/lib/python3.4/site-packages/pywikibot/site.py in callee(self, *args, **kwargs)
   1299             if grp == 'user':
-> 1300                 self.login(False)
   1301             elif grp == 'sysop':

/srv/paws/lib/python3.4/site-packages/pywikibot/site.py in login(self, sysop)
   2051                                     'wrong': self.userinfo['name'],
-> 2052                                     'right': self._username[sysop]})
   2053             else:

NoUsername: Logged in on wikisource:ta via OAuth as Shanmugamp7, but expect as None

During handling of the above exception, another exception occurred:

OtherPageSaveErrorTraceback (most recent call last)
<ipython-input-60-3a1047e10959> in <module>()
     15 
     16 pa.text = pa.text.replace('level="1"','level="3"')
---> 17 pa.save(summary="test")
     18 
     19 

/srv/paws/lib/python3.4/site-packages/pywikibot/proofreadpage.py in save(self, *args, **kwargs)
    411         text = self._page_to_json()
    412         super(ProofreadPage, self).save(*args, text=text, summary=summary,
--> 413                                         **kwargs)
    414 
    415     @property

/srv/paws/lib/python3.4/site-packages/pywikibot/tools/__init__.py in wrapper(*__args, **__kw)
   1412                              cls, depth)
   1413                     del __kw[old_arg]
-> 1414             return obj(*__args, **__kw)
   1415 
   1416         if not __debug__:

/srv/paws/lib/python3.4/site-packages/pywikibot/page.py in save(self, summary, watch, minor, botflag, force, async, callback, apply_cosmetic_changes, quiet, **kwargs)
   1165             self._save(summary=summary, watch=watch, minor=minor,
   1166                        botflag=botflag, async=async, callback=callback,
-> 1167                        cc=apply_cosmetic_changes, quiet=quiet, **kwargs)
   1168 
   1169     def _save(self, summary=None, watch=None, minor=True, botflag=None,

/srv/paws/lib/python3.4/site-packages/pywikibot/page.py in _save(self, summary, watch, minor, botflag, async, callback, cc, quiet, **kwargs)
   1191                 if isinstance(err, pywikibot.PageSaveRelatedError):
   1192                     raise err
-> 1193                 raise pywikibot.OtherPageSaveError(self, err)
   1194         if callback:
   1195             callback(self, err)

OtherPageSaveError: Edit to page [[wikisource:ta:Page:குறிஞ்சி மலர்.pdf/102]] failed:
Logged in on wikisource:ta via OAuth as Shanmugamp7, but expect as None
 
pa.save(u"bot test", force=True)

TypeErrorTraceback (most recent call last)
<ipython-input-49-90b6d6cb73f7> in <module>()
----> 1 pa.save(u"bot test", force=True)

/srv/paws/lib/python3.4/site-packages/pywikibot/proofreadpage.py in save(self, *args, **kwargs)
    411         text = self._page_to_json()
    412         super(ProofreadPage, self).save(*args, text=text, summary=summary,
--> 413                                         **kwargs)
    414 
    415     @property

/srv/paws/lib/python3.4/site-packages/pywikibot/tools/__init__.py in wrapper(*__args, **__kw)
   1412                              cls, depth)
   1413                     del __kw[old_arg]
-> 1414             return obj(*__args, **__kw)
   1415 
   1416         if not __debug__:

TypeError: save() got multiple values for argument 'summary'